% Class Pouloeuf inspiré très fortement par la framaquette
% de Vincent Lozano & de Didier Roche 

\newcommand{\pouleVersion}{0.1}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{pouloeuf}[2008/11/06]

%-----------------------------------------------------------------------
%
% Avec des si...
%
\newif\ifversionenligne
%
\versionenlignetrue
\newif\ifminisommaire
\minisommairetrue
%

\newif\if@versionreport \@versionreportfalse


%-----------------------------------------------------------------------

%-----------------------------------------------------------------------
%
% Declaration des options
%
\DeclareOption{draft}{\brouillontrue\PassOptionsToClass{draft}{book}}
\DeclareOption{versionpapier}{\versionenlignefalse} 
\DeclareOption{versionenligne}{\versionenlignetrue}
\DeclareOption{sansminisommaire}{\minisommairefalse}
\DeclareOption{versionreport}{\@versionreporttrue}

\if@versionreport
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}
\else
\DeclareOption*{\PassOptionsToClass{mer\CurrentOption}{book}}
\fi
%
% Exécution des options
%
\ProcessOptions
%
\if@versionreport
\LoadClass[11pt,a4paper]{report}
\else
\LoadClass[11pt,a4paper,twoside]{book}
\fi



%-----------------------------------------------------------------------


%----------------------------------------------------------------------
%
% les petits paquets à charger
%

% fonts
\RequirePackage{fontspec}
\RequirePackage{textcomp,relsize}
\RequirePackage{mflogo,bbm,pifont}

% caractères
\RequirePackage{xspace}	%espace
\RequirePackage{soul}	%Souligner

% base 
\RequirePackage{marginnote} %note dans la marge
\RequirePackage{enumerate}	%listes
\RequirePackage{verse} % poemes

% graphics 
\RequirePackage{picins}	%figure dans un paragraphe
\RequirePackage{subfigure}	%subfigure dans figure
\RequirePackage{wrapfig}
\RequirePackage{xcolor}
\RequirePackage[xetex]{graphicx}
\RequirePackage{framed} 

% les tableaux
\RequirePackage{array,multirow,colortbl,longtable,multicol}

% Math
\RequirePackage{amsmath,mathrsfs}

% Index
\RequirePackage{makeidx,index}

% Outils
\RequirePackage{calc}
\RequirePackage{ifthen}
\RequirePackage{float} 

% mini sommaire
\RequirePackage{titlebox}
\RequirePackage[french]{minitoc-hyper}
\RequirePackage{myminitoc}

\RequirePackage{citation}
\RequirePackage{xltxtra}
\RequirePackage{pouloeuf}



%-----------------------------------------------------------------------
%-----------------------------------------------------------------------
%-----------------------------------------------------------------------
%
% hyperref qui pète les ouilles
%
\def\Hy@WarningNoLine#1{}
\def\Hy@Warning#1{}
%-----------------------------------------------------------------------


%---------------------------------------------------------------------
%
% pour changer les marges localement (merci Marie Paul ;-)
%
%----------------------------------------------------------------------

\newenvironment{changemargin}[2]{\begin{list}{}{%
\setlength{\leftmargin}{0pt}%
\setlength{\rightmargin}{0pt}%
\setlength{\listparindent}{\parindent}%
\setlength{\itemindent}{\parindent}%
\addtolength{\leftmargin}{#1}%
\addtolength{\rightmargin}{#2}%
}\item }{\end{list}}

\newenvironment{agrandirmarges}[2]{%
  \begin{list}{}{%
      \setlength{\topsep}{0pt}%
      \setlength{\listparindent}{\parindent}%
      \setlength{\itemindent}{\parindent}%
      \setlength{\parsep}{0pt plus 1pt}%
      \checkoddpage%
      \ifcpoddpage
        \setlength{\leftmargin}{-#1}\setlength{\rightmargin}{-#2}
      \else
        \setlength{\leftmargin}{-#2}\setlength{\rightmargin}{-#1}
      \fi}\item }%
  {\end{list}}


%-----------------------------------------------------------------------



%-----------------------------------------------------------------------
\AtEndDocument{%
  }


%
% fin du fichier
%
\endinput

